/*
*
* Author: Giacomo Lozito <james@develia.org>, (C) 2005-2006
*
* This program is free software; you can redistribute it and/or modify it
* under the terms of the GNU General Public License as published by the
* Free Software Foundation; either version 2 of the License, or (at your
* option) any later version.
*
* This program is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* General Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with this program; if not, write to the Free Software Foundation, Inc.,
* 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
*
*/

#ifndef _CFG_H
#define _CFG_H 1


#include "common.h"


/* references a global variable declared in gmutoo.h */
extern GKeyFile* config;

gint gmu_cfg_read_file ( void );
gint gmu_cfg_write_file( GKeyFile * );
gchar ** gmu_cfg_read_groups ( GKeyFile * , gsize * );
gchar * gmu_cfg_read_string ( GKeyFile * , const gchar * , const gchar * );
gchar * gmu_cfg_read_string_with_default ( GKeyFile * , const gchar * , const gchar * , gchar * );
gboolean gmu_cfg_read_boolean_with_default ( GKeyFile * , const gchar * , const gchar * , gboolean );


#endif /* !_CFG_H */
