/*
*
* Author: Giacomo Lozito <james@develia.org>, (C) 2005-2006
*
* This program is free software; you can redistribute it and/or modify it
* under the terms of the GNU General Public License as published by the
* Free Software Foundation; either version 2 of the License, or (at your
* option) any later version.
*
* This program is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* General Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with this program; if not, write to the Free Software Foundation, Inc.,
* 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
*
*/

#ifndef _UI_H
#define _UI_H 1


#include "common.h"
#include <gtk/gtk.h>
#include "eggtrayicon/eggtrayicon.h"

enum {
  GMU_LVCOLUMN_NAME = 0,
  GMU_LVCOLUMN_DESC,
  GMU_LVCOLUMN_CMDSTART,
  GMU_LVCOLUMN_CMDSTOP,
  GMU_LVCOLUMN_MONPROC,
  GMU_LVCOLUMN_IFMON,
  GMU_LVCOLUMN_ICONFILE,
  GMU_LVCOLUMN_IFENABLE,
  GMU_NUM_LVCOLUMNS
};

void gmu_ui_icons_init ( void );
EggTrayIcon * gmu_ui_trayapp ( void );
void gmu_ui_trayapp_start ( EggTrayIcon * );
void gmu_ui_configwin ( GtkWidget * );
void gmu_ui_configwin_modwin ( GtkWidget * , gint );
void gmu_ui_warningbox( GtkWindow * , const gchar * );
GtkWidget * gmu_ui_mmenu_create ( void );
GtkWidget * gmu_ui_cmenu_create ( GtkWidget * );

#endif /* !_UI_H */
