/*
*
* Author: Giacomo Lozito <james@develia.org>, (C) 2005-2006
*
* This program is free software; you can redistribute it and/or modify it
* under the terms of the GNU General Public License as published by the
* Free Software Foundation; either version 2 of the License, or (at your
* option) any later version.
*
* This program is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* General Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with this program; if not, write to the Free Software Foundation, Inc.,
* 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
*
*/

#ifndef _CB_H
#define _CB_H 1


#include "common.h"
#include <gtk/gtk.h>

#define GMU_CONFIGWIN_ADD	0
#define GMU_CONFIGWIN_EDIT	1

#define GMU_PROCSTATUS_OFF	0
#define GMU_PROCSTATUS_ON	1

#define GMU_SWAPDIRE_UP		0
#define GMU_SWAPDIRE_DOWN	1


gboolean gmu_cb_trayapp_bpress ( GtkWidget * , GdkEventButton * , gpointer );
gboolean gmu_cb_trayapp_destroy ( GtkWidget * );
void gmu_cb_mmenu_execute_monitored ( GtkWidget * );
void gmu_cb_mmenu_execute_generic ( gpointer );
void gmu_cb_cmenu_config ( GtkWidget * );
void gmu_cb_cmenu_quit ( GtkWidget * );
void gmu_cb_configwin_about ( GtkWidget * );
void gmu_cb_configwin_ok ( GtkWidget * );
void gmu_cb_configwin_add ( GtkWidget * );
void gmu_cb_configwin_edit ( GtkWidget * );
void gmu_cb_configwin_remove ( GtkWidget * );
void gmu_cb_configwin_swap ( GtkWidget * , gpointer );
void gmu_cb_configwin_toggle_ifmon ( gpointer , gchar * );
void gmu_cb_configwin_toggle_ifenable ( gpointer , gchar * );
void gmu_cb_configwin_modwin_browse ( GtkWidget * );
gboolean gmu_cb_configwin_modwin_checkforequals( GtkTreeModel * , GtkTreePath * , GtkTreeIter * , gpointer );

void gmu_cb_monitor_destroy ( gpointer );
gint gmu_cb_monitor_label_off ( gpointer );
gint gmu_cb_monitor_label_on ( gpointer );

#endif /* !_CB_H */
